import { type Address, type FixedSizeCodec, type FixedSizeDecoder, type FixedSizeEncoder } from "@solana/kit";
export type TokenPairLinked = {
    localToken: Address;
    remoteDomain: number;
    remoteToken: Address;
};
export type TokenPairLinkedArgs = TokenPairLinked;
export declare function getTokenPairLinkedEncoder(): FixedSizeEncoder<TokenPairLinkedArgs>;
export declare function getTokenPairLinkedDecoder(): FixedSizeDecoder<TokenPairLinked>;
export declare function getTokenPairLinkedCodec(): FixedSizeCodec<TokenPairLinkedArgs, TokenPairLinked>;
